Subject: Re: Job | Tech Support Remote Screening
From: Bruce Anthony Micetich <[email-masked]>
To: [email-masked]
Date: Tue, 2 Feb 2021 18:14:20 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

8672 Applicants

View All

Bruce Anthony Micetich
I completed my schooling in St.bede's A.I Hr.Sec. school in the 2014 after which I started my career in a bpo called e-Cosmos where I worked for a year as a tech come customer service and later moved to CSS Corp where I worked for 2.8 years as customer service representative and sale agent

Shortlist

Reject

Current Designation Senior associate Technical support
Current Company Tech Mahindra
Notice Period 1 Months
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
4 Yrs 2 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Chennai
Education
B.Com
Madras University
Key Skills
sales agent, Customer Service, After Sales Service, Technical Support, Technical Analysis, Desktop Support, Customer Support, Troubleshooting, Remote Support, Customer Care, Technical Services

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem